/*
 * This file is part of the TuxNES project codebase.
 *
 * Please see the README and COPYING files for more information regarding
 * this project.
 *
 * Description: Shared code used by all of the tuxnes renderers.
 */

#ifndef _RENDERER_UTIL_H
#define _RENDERER_UTIL_H

/* ============================ screenshot_init () ========================= */ 
void screenshot_init(char *ext, char **ssfile, int *ssnumber);

/* ============================ screenshot_check_filename () =============== */ 
void screenshot_check_filename(char *ext, char *ssfile, int *ssnumber);

/* ============================ set_renderer_basetime () =================== */
void set_renderer_basetime(void);

/* ============================ resynchronize () =========================== */
/* Call this to sync with the frame and update frameskip and desync.  Can be
 * called as often as wanted. */
int resynchronize (int frame);

#endif /* RENDERER_UTIL_H */
